/**
 * Create by sxd
 * date 2018-04-11
 * Description:
 */
import $ from 'jquery';
var yzToolbar = function(){
  this.menu = [{
    name: 'table',
    title: '表格',
    icon: 'fa-table'
  },{
    name: 'underline',
    title: '下划线',
    icon: 'fa-minus'
  },{
    name: 'picture',
    title: '图片',
    icon: 'fa-file-image-o',
  },{
    name: 'component',
    title: '组件框',
    icon: 'fa-square'
  },{
    name: 'subject',
    title: '无',
    icon: 'fa-list-alt'
  }];
};

yzToolbar.prototype.toolbarContent = function () {
  // 形成toolbar 样式
  let toolDom = document.createElement('div');
  let ulDom = document.createElement('ul');
  this.menu.forEach( (item) => {
    let liDom = document.createElement('li');
    let spanDom = document.createElement('span');
    let liText = document.createTextNode(item.title);
    spanDom.className = `icon fa ${item.icon}`;
    liDom.setAttribute('title',item.title);
    liDom.appendChild(spanDom);
    liDom.appendChild(liText);
    ulDom.appendChild(liDom);
  });
  toolDom.className = 'toolbar';
  toolDom.appendChild(ulDom);
  toolDom.setAttribute('id','toolbar');
  return toolDom;
};

yzToolbar.prototype.setSubjectTitle = function(subjectNum) {
  this.menu.forEach( (item) => {
    if( item.name == 'subject' ){
      item.title = '正在编辑' + subjectNum;
    }
  });
};

yzToolbar.prototype.addComponet = function() {

};

export default yzToolbar;